import * as React from 'react';

export type PlatformdotshProps = {
  /**
   * Hex color or color name
   */
  title?: string;
  /**
   * The size of the Icon.
   */
  color?: string;
  /**
   * The title provides an accessible short text description to the SVG
   */
  size?: string | number;
};

const Platformdotsh = React.forwardRef<SVGSVGElement, PlatformdotshProps>(function Platformdotsh(
  { color = 'currentColor', size = 24, title = 'platformdotsh', ...others },
  ref,
) {
  return (
    <svg
      xmlns='http://www.w3.org/2000/svg'
      width={size}
      height={size}
      fill={color}
      viewBox='0 0 24 24'
      ref={ref}
      {...others}
    >
      <title>{title}</title>
      <path d='M24 0H0v9.541h24V0zM24 20.755H0V24h24v-3.245zM0 12.618h24v4.892H0v-4.892z' />
    </svg>
  );
});

export default Platformdotsh;
